Bug 1011728 - node sync is failing el6 node child
node sync is failing el6 node child
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
Master
Unspecified Unspecified
high Severity medium
: ---
: 2.3.0
Assigned To: Jeff Ortel
pulp-qe-list
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 21:43 EDT by Preethi Thomas
Modified: 2013-12-09 09:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-09-24 21:43:43 EDT
Description of problem:

When you have an el6 node child, node sync seems to be failing.

Version-Release number of selected component (if applicable):
[root@pulp-node2 ~]# rpm -qa |grep pulp-node
pulp-nodes-child-2.3.0-0.14.alpha.el6.noarch
pulp-nodes-common-2.3.0-0.14.alpha.el6.noarch
pulp-nodes-consumer-extensions-2.3.0-0.14.alpha.el6.noarch
[root@pulp-node2 ~]# 


How reproducible:


Steps to Reproduce:
1.setup an el6 node child
2.Run node sync
3.

Actual results:
[root@pulp-v2-server ~]# pulp-admin node sync run --node-id node2
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...


An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.


From agent.log

2013-09-24 18:38:19,419 [ERROR][worker-0] update() @ dispatcher.py:112 - handler failed
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/agent/lib/dispatcher.py", line 108, in update
    report = handler.update(conduit, units, dict(options))
  File "/usr/lib/python2.6/site-packages/pulp_node/handlers/handler.py", line 88, in update
    bindings = RepositoryBinding.fetch_all(pulp_bindings, conduit.consumer_id)
  File "/usr/lib/python2.6/site-packages/pulp_node/handlers/model.py", line 513, in fetch_all
    return RepositoryBinding.filtered(http.response_body)
  File "/usr/lib/python2.6/site-packages/pulp_node/handlers/model.py", line 550, in filtered
    return [b for b in binds if b['type_id'] in constants.ALL_DISTRIBUTORS]
TypeError: string indices must be integers, not str
2013-09-24 18:38:19,421 [INFO][worker-0] sendreply() @ rmi.py:172 - 8819e7b6-9934-4ad9-acb8-98efcbaa6ad8 processed in: 65 (ms)



Expected results:


Additional info:
Comment 1 Jeff Ortel 2013-09-25 16:01:08 EDT
https://github.com/pulp/pulp/pull/631
Comment 2 Jeff Ortel 2013-09-26 11:36:40 EDT
build: 2.3.0-0.15.alpha
Comment 3 Preethi Thomas 2013-09-27 11:19:21 EDT
verified

[root@pulp-v2-server ~]# pulp-admin node bind --repo-id errata-install --node-id node2
Node bind succeeded.

Note: Repository [ errata-install ] will be included in node synchronization.

[root@pulp-v2-server ~]# pulp-admin node sync run --node-id node2This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...



(1/2) Repository: errata-install
[==================================================] 100%


(2/2) Repository: zoo
[==================================================] 100%




Synchronization succeeded

+----------------------------------------------------------------------+
                       Child Node Synchronization
+----------------------------------------------------------------------+

Repository: 
  Action: Added
  Id:     errata-install
  Units:  
    Added:   15
    Removed: 0
    Updated: 0

Repository: 
  Action: Merged
  Id:     zoo
  Units:  
    Added:   0
    Removed: 0
    Updated: 0



[root@pulp-node2 ~]# pulp-admin repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                  zoo
Display Name:        zoo
Description:         None
Content Unit Counts: 
  Erratum:          4
  Package Category: 1
  Package Group:    2
  Rpm:              32

Id:                  errata-install
Display Name:        errata-install
Description:         None
Content Unit Counts: 
  Erratum: 4
  Rpm:     11


[root@pulp-node2 ~]# rpm -qa pulp-nodes-parent
[root@pulp-node2 ~]# 
[root@pulp-node2 ~]# 
[root@pulp-node2 ~]# 
[root@pulp-node2 ~]# rpm -qa pulp-nodes-child
pulp-nodes-child-2.3.0-0.16.alpha.el6.noarch
[root@pulp-node2 ~]#
Comment 4 Preethi Thomas 2013-12-09 09:31:38 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.